/*
 * Segment 5 Intelligente Analyseverfahren, SW-Einheit 5.2 Straßensubsegmentanalyse
 * Copyright (C) 2007-2018 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.iav.subsegana.subsegana.domain.umfelddaten;

import de.bsvrz.iav.subsegana.subsegana.domain.shared.*;

import java.util.*;

/**
 * Ein Umfelddatensensor.
 *
 * @author BitCtrl Systems GmbH, Falko Schumann
 */
public class Umfelddatensensor implements Systemobjekt {

    private final String pid;
    private Optional<Umfelddatenmessstelle> gehoertZu;

    public Umfelddatensensor(String pid) {
        this.pid = Objects.requireNonNull(pid, "pid");
    }

    @Override
    public String getPid() {
        return pid;
    }

    public Optional<Umfelddatenmessstelle> getGehoertZu() {
        return gehoertZu;
    }

    public void setGehoertZu(Umfelddatenmessstelle gehoertZu) {
        this.gehoertZu = Optional.ofNullable(gehoertZu);
    }

    @Override
    public String toString() {
        return "Umfelddatensensor{" +
                "pid='" + pid + '\'' +
                '}';
    }

}
